### Method

# Gck Object equal

#### Declaration [src]

    gboolean
    gck_object_equal (
      GckObject* object1,
      GckObject* object2
    )

#### Description [src]

Checks equality of two objects. Two GckObject objects can point to the same underlying PKCS#11 object.

#### Parameters

`object2` | `GckObject`
| A pointer to the second `GckObject`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if object1 and object2 are equal. `FALSE` if either is not a GckObject.